<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
	<!-- ========================================= Target Tree =============================================== -->

		<record id="view_menu_target_skp_tree" model="ir.ui.view">
            <field name="name">project.project.tree</field>
            <field name="model">project.project</field>
            <field name="arch" type="xml">
                <tree string="Target Tahunan"  colors="grey:state in ('confirm','closed','cancelled');blue:state in ('rejected_bkd','rejected_manager');brown:state == 'propose';green:state == 'evaluated'">
					<field name="code" invisible="True"/>
                    <field name="name"/>
                    <field name="target_period_year" string="Tahun"/>
            		<field name="lama_kegiatan" string="Lama (Bulan)" />
            		<field name="target_jumlah_kuantitas_output" widget="monetary"  />
            		<field name="target_kualitas"/>
            		<field name="target_waktu" />
            		<field name="target_angka_kredit"  widget="monetary" />
            		<field name="target_biaya"  options='{"currency_field" : "currency_id"}'  />
                    <field name="user_id"/>
					<field name="state"/>
                    <field name="currency_id" invisible="True"/>
            		<field name="company_id" invisible="True"/>
            		<field name="currency_id" invisible="True"/>
            		<field name="user_id_atasan" invisible="True"/>
            		<field name="user_id_banding" invisible="True"/>
            		<field name="target_type_id" invisible="True"/>
                </tree>
            </field>
        </record>
        <!-- =========================================  Target Form =============================================== -->
 		 <record id="view_menu_target_skp_form" model="ir.ui.view">
            <field name="name">project.project.form</field>
            <field name="model">project.project</field>
            <field name="arch" type="xml">
                <form string="Target Tahunan">
                <header> 
   				 <button name="action_new"  string="Target Bulanan Siap Dibuat"  attrs="{'invisible':[('state','not in', ('draft','open'))]}"  groups="df_project.group_project_user"/>
                 <button name="action_propose"  string="Ajukan Target"  attrs="{'invisible':[('state','not in', ('new','rejected_manager','correction'))]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar?"   groups="df_project.group_project_user"/>
                 <button name="action_cancel_target"  string="Target Dibatalkan" confirm="Apakah Anda Yakin Akan Melakukan Pembatalan Pada Transaksi Ini?" attrs="{'invisible':[('state','not in', ('new','rejected_manager','open'))]}"  groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"/>
               <!--  <button name="action_cancel_target"  string="Target Dibatalkan" confirm="Apakah Anda Yakin Akan Melakukan Pembatalan Pada Transaksi Ini?" attrs="{'invisible':[('state','in', ('new','rejected_manager','open'))]}" groups="df_project.group_project_evaluated_bkd"/>
-->
                 <button name="action_evaluated"  string="Ajukan Ke BKD"   attrs="{'invisible':[('state','not in', ('propose','rejected_bkd'))]}"  groups="df_project.group_project_manager"/>
                 <button name="action_propose_rejected"  string="Tolak" confirm="Apakah Anda Yakin Akan Menolak Pengajuan Ini?"    attrs="{'invisible':[('state','!=', 'propose')]}"  groups="df_project.group_project_manager"/>
                 <button name="action_confirm"  string="Terima"   attrs="{'invisible':[('state','!=', 'evaluated')]}"  groups="df_project.group_project_evaluated_bkd"/>
                 <button name="action_evaluate_rejected"  string="Tolak" confirm="Apakah Anda Yakin Akan Menolak Pengajuan Ini?"   attrs="{'invisible':[('state','!=', 'evaluated')]}"  groups="df_project.group_project_evaluated_bkd"/>
                 <button name="action_reconfirm"  string="Verifikasi Ulang"   attrs="{'invisible':[('state','!=', 'confirm')]}"  groups="df_project.group_project_evaluated_bkd"/>
                 
				<button name="action_revisi"   confirm="Apakah Anda Yakin Akan Melakukan Revisi Target Tahunan? "  string="Ajukan Revisi Target"  attrs="{'invisible':[('state','!=', 'confirm')]}"  groups="df_project.group_project_user"/>
				<!--<button name="action_correction_approve"  confirm="Apakah Anda Yakin Akan Menerima Pengajuan Ini?"  string="Terima Revisi"  attrs="{'invisible':[('state','!=', 'propose_correction')]}"  groups="df_project.group_project_evaluated_bkd"/>--> 
				<button name="approve_correction" type="object"   confirm="Apakah Anda Yakin Akan Menerima Pengajuan Ini?"  string="Terima Revisi"  attrs="{'invisible':[('state','!=', 'propose_correction')]}"  groups="df_project.group_project_evaluated_bkd"/>
				<button name="action_correction_reject"   confirm="Apakah Anda Yakin Akan Menolak Pengajuan Ini?"  string="Tolak Revisi"  attrs="{'invisible':[('state','!=', 'propose_correction')]}"  groups="df_project.group_project_evaluated_bkd"/>
				
				
				<button name="action_closing"  confirm="Apakah Anda Yakin Tidak Melanjutkan Target Tahunan? "  string="Ajukan Closing Target"  attrs="{'invisible':[('state','!=', 'confirm')]}"  groups="df_project.group_project_user"/>
				<button name="action_closing_approve"  confirm="Apakah Anda Yakin Akan Menerima Pengajuan Ini?"  string="Terima Closing Target"  attrs="{'invisible':[('state','!=', 'propose_to_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				<button name="action_closing_reject"   confirm="Apakah Anda Yakin Akan Menolak Pengajuan Ini?"  string="Tolak Closing Target"  attrs="{'invisible':[('state','!=', 'propose_to_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				<button name="action_cancel_propose_closing"  confirm="Apakah Anda Yakin Menolak Pengajuan Ini?"  string="Terima Closing Lalu Cancel Target"  attrs="{'invisible':[('state','!=', 'propose_to_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				
				<button name="set_cancelling_closed_target"   type="object"   string="Batalkan Target"   attrs="{'invisible':[('state','!=', 'closed')]}"  groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"/>
				<!--button name="action_propose_cancel_closing"  confirm="Apakah Anda Yakin Membatalkan Target Yang Di Tutup? "  string="Ajukan Batalkan Closing Target"  attrs="{'invisible':[('state','!=', 'closed')]}"  groups="df_project.group_project_user"/>
				<button name="action_propose_cancel_closing_approve"  confirm="Apakah Anda Yakin Akan Menerima Pengajuan Ini?"  string="Terima Closing Target"  attrs="{'invisible':[('state','!=', 'propose_cancel_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				<button name="action_propose_cancel_closing_reject"   confirm="Apakah Anda Yakin Akan Menolak Pengajuan Ini?"  string="Tolak Closing Target"  attrs="{'invisible':[('state','!=', 'propose_cancel_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				<button name="action_propose_cancel_closing_to_cancel_target"  confirm="Apakah Anda Yakin Menerima Pengajuan Ini Lalu Membatalkan nya?"  string="Terima Closing Lalu Cancel Target"  attrs="{'invisible':[('state','!=', 'propose_cancel_close')]}"  groups="df_project.group_project_evaluated_bkd"/>
				-->
					<field name="state" widget="statusbar"  readonly="1" statusbar_visible="draft,new,propose,evaluated,confirm"/>
				</header>
	                <sheet string="Target Tahunan">
	                	<div class="oe_title"> 
							<label for="name" class="oe_edit_only" string="Nama Kegiatan"/>
							<h1>
							<field name="name" placeholder="Isi Nama Kegiatan Disini...."/>
							</h1>
							
							
						</div>
						
	                    <group col="2">
	                        <field name="target_period_year" readonly="False"/>
							<field name="target_type_id"  />
							<field name="target_category_id"   attrs="{'required': [('target_type_id','=','dpa_opd_biro')],'invisible': [('target_type_id','!=','dpa_opd_biro')]}" />
							<label for="code" class="oe_edit_only" string="Kode Kegiatan" attrs="{'invisible': [('target_type_id','!=','dpa_opd_biro')]}" />
							<div attrs="{'invisible': [('target_type_id','!=','dpa_opd_biro')]}">
								<field name="code_opd" placeholder="56" style="width: 10%%" 
										attrs="{'required': [('target_category_id','in',('program','kegiatan'))]}"/>
								<field name="code_program" placeholder="016"  style="width: 20%%"
										attrs="{'required': [('target_category_id','in',('program','kegiatan'))]}" />
								<field name="code_kegiatan" placeholder="11"  style="width: 10%%"
										attrs="{'required': [('target_category_id','=','kegiatan')]}"/>
								<label string="*Kode OPD.Kode Program.Kode Kegiatan" attrs="{'invisible': [('target_type_id','!=','dpa_opd_biro')]}" />
							</div>
	                		<field name="lama_kegiatan" on_change="onchange_lama_kegiatan(lama_kegiatan)" /> 
	                		<field name="satuan_lama_kegiatan" invisible="False" />
	                		<field name='notes'/>
	                		<field name="notes_bkd"/>
	                		<field name="job_type" invisible="True" />
	                		
						</group>
						            
					<notebook> 
							<page string="Target" name="target" >
	                            <div name="dipa"  attrs="{'invisible': [('target_type_id','not in',('dipa_apbn','dpa_opd_biro','sotk','lain_lain'))]}" >
			                        <group  col="3" >
			                        	<group >
											<field name="target_jumlah_kuantitas_output"/>
			                               	<field name="target_satuan_kuantitas_output"/>
			                            </group>
			                             <group>
											<field name="target_kualitas"/>
			                            </group>
			                            <group>
										   	<field name="target_waktu"/>
										   	<field name="target_satuan_waktu" readonly="True"/>
			                            </group>
			                           
			                        </group>
			                        <group col="3">
				                         <group  >
												<field name="target_biaya" widget="monetary" attrs="{'required': [('target_type_id','=','dpa_opd_biro')]}" />      
												<field name="total_biaya_bulanan" widget="monetary" />        
								         </group>
				                         <group>
				                    	 		<field name="target_angka_kredit"  attrs="{'required': [('job_type','=','jft')]}" />
				                    	 		<field name="total_angka_kredit_bulanan" />  
				                 		 </group>
			                        </group>
			                        <hr />
			                    </div>
			                    <newline />
			                    <div>
									<div name="buttons" groups="df_project.group_project_user"> 
										<group attrs="{'invisible':[('count_correction','!=', 0)]}" >
					                    	<button name='generate_target_realisasi_bulanan'  string="Generate Target Bulanan" type="object"  attrs="{'invisible':[('state','not in', ('new'))]}" groups="df_project.group_project_user" class="oe_highlight"/>
					                    	<!--
											<div>
												<h3><field name="status_target_bulanan"/></h3>      
											</div>
					                    	-->  
					                    </group>
					                    <group attrs="{'invisible':[('count_correction','=', 0)]}" >
					                    	<button name='generate_revisi_target_realisasi_bulanan'  string="Revisi Target Bulanan" type="object"  attrs="{'invisible':[('state','not in', ('new'))]}" groups="df_project.group_project_user"/>
					                    	<div attrs="{'invisible':[('state','!=', 'new')]}">
												<h4>*Anda Harus Menekan Tombol Revisi Target Bulanan,Jika Terjadi Perubahan Apapun Pada Target.Agar Perubahan Terjadi Juga Pada Pada Realisasi Bulanan</h4>
											</div>       
						            	 </group>      
									</div> 
								</div>
								
								<newline />
								<hr/>
								
								<div >
					
			                 		<field name="realisasi_lines" string="Target Bulanan" attrs="{'readonly': [('state','not in',('new','propose','correction'))],'invisible': [('state','in',('draft'))]}">
										<tree string="Target Bulanan" editable="bottom" colors="blue:state in('done','closed');">
											<field name="name" invisible="True" />
											<field name="target_period_month" readonly="False"  required="True" attrs="{'readonly': ['|',('project_state','not in',('new','correction')),('state','not in',('draft','realisasi'))]}"/>
											<field name="target_jumlah_kuantitas_output" string="Kuantitas"  style="text-align:center;"   attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))],'required': [('project_state','in',('new','correction'))]}"/>
											<field name="target_satuan_kuantitas_output" string="Satuan" attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))],'required': [('project_state','in',('new','correction'))]}" />
			                                <field name="target_kualitas" string="Kualitas" style="text-align:center;"  options="{'currency_field': 'currency_id'}" attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))],'required': [('project_state','in',('new','correction'))]}"/>
			                                <field name="target_waktu" string="Waktu" style="text-align:center;" attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))],'required': [('project_state','in',('new','correction'))]}"/>
			                                <field name="target_satuan_waktu" string="Satuan" attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))],'required': [('project_state','in',('new','correction'))]}"/>
			                                <field name="target_angka_kredit" attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))]}"/>
			                                <field name="target_biaya"    attrs="{'readonly': ['|',('state','not in',('draft','realisasi')),('project_state','not in',('new','correction'))]}"/>
			                                <field name="state" invisible="True" />
			                                <field name="project_state" invisible="True" />
			                            </tree>
			                        </field>
				
								</div>
		                    </page>
		                    
							<page string="Informasi Tambahan">
							<group>
								<group string="Target">
									<field name="date_start"/>
									<field name="date_end"/>	
									<field name="sequence"/>
									<field name="count_correction" />
									<field name="count_evaluated" />
								</group>	
								
								<group string="Kepegawaian">
									<field name="company_id"  readonly="True" string="OPD"/>   
									<field name="user_id" string="Pegawai Yang dinilai" attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="user_id_atasan"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="user_id_banding"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="user_id_bkd"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="currency_id" invisible="True"/>
								</group>
							</group>						
							</page>
							<page string="Catatan Koreksi">
								<group>
									<field name="notes_atasan"/> 
									
								</group>
							</page>
		                 </notebook>
	                </sheet>                    
					 <div class="oe_chatter">
	                        <field name="message_ids" widget="mail_thread"/>
	                 </div>
                </form>
            </field>
        </record>
        <!-- fILTER -->
        <record id="open_view_target_tahunan_all_filter" model="ir.ui.view">
            <field name="name">project.project.select</field>
            <field name="model">project.project</field>
            <field name="arch" type="xml">
                <search string="Cari Kegiatan">
                    <field name="name" string="Nama Kegiatan"/>
                    <field name="target_type_id" string="Jenis Kegiatan" />
                    <field name="user_id" string="Pegawai Yang dinilai" />
                    <field name="company_id" string="OPD" />
                    <field name="target_period_year" string="Tahun" />
                    <separator/>
                    
                    <filter icon="gtk-media-pause" string="Draft" name="Draft" domain="[('state', '=','draft')]" help="Draft Target"/>
                    <filter icon="terp-check" string="Baru" name="new" domain="[('state', '=','new')]" help="Target Yang Baru Dibuat"/>
                    <filter icon="terp-check" string="Penilaian" name="propose" domain="[('state', '=','propose')]" help="Target Yang Sudah DIajukan"/>
					<filter icon="terp-check" string="BKD" name="new" domain="[('state', '=','evaluated')]" help="Target Yang Sedang Di Verifikasi"/>
                    <filter icon="terp-check" string="Confirm" name="confirm" domain="[('state', '=','confirm')]" help="Target Yang Sudah DIterima"/>
                    <separator/>
                    
                    <group expand="0" string="Group By...">
                        <filter string="Jenis Kegiatan" name="target_type_id" icon="terp-personal" domain="[]" context="{'group_by':'target_type_id'}"/>
                        <filter string="OPD" name="" icon="terp-partner" domain="[]" context="{'group_by':'company_id'}"/>
                        <filter string="Status" name="" icon="terp-partner" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Tahunan" name="" icon="terp-partner" domain="[]" context="{'group_by':'target_period_year'}"/>
                        <filter string="Pegawai Yang Dinilai" name="user_id" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id'}"/>
                        <filter string="Pejabat Penilai" name="user_id_atasan" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_atasan'}"/>
                        <filter string="Atasan Pejabat Penilai" name="user_id_banding" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_banding'}"/>
                    </group>
                </search>
            </field>
        </record>
		
		<!-- ========================================= Target Menu =============================================== -->
		 <record model="ir.actions.act_window" id="action_menu_target_skp">
            <field name="name">Target Kerja Tahunan</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="help" type="html">
              <p >
                Saat ini anda belum membuat target tahunan
              </p>
            </field>
        </record>
        
		
		
	</data>
</openerp>